Type to search.

Get agent policies

Base URL
https://{kibana_url}
  • GET /api/fleet/agent_policies
Auth

List all agent policies.

Required privileges

Privileges fleet-agent-policies-read or fleet-agents-read or fleet-setup

Query parameters

page number

Page number

perPage number

Number of results per page

sortField string

Field to sort results by

sortOrder enum

Sort order, ascending or descending

Values: desc asc
showUpgradeable boolean

When true, only show policies with upgradeable agents

kuery string

A KQL query string to filter results

noAgentCount boolean

use withAgentCount instead

withAgentCount boolean

get policies with agent count

full boolean

get full policies with package policies populated

format enum

Format for the response: simplified or legacy

Values: simplified legacy

Responses

Successful response

application/json
items object[] · max items: 10000 required
agents number
created_at string
data_output_id string nullable
description string
download_source_id string nullable deprecated

Use download_source_ids instead

download_source_ids string[] · max items: 3
fips_agents number
fleet_server_host_id string nullable
has_agent_version_conditions boolean
has_fleet_server boolean
id string required
inactivity_timeout number · min: 0 · default: 1209600
is_default boolean
is_default_fleet_server boolean
is_managed boolean
is_preconfigured boolean
is_protected boolean required

Indicates whether the agent policy has tamper protection enabled. Defaults to false.

is_verifier boolean
keep_monitoring_alive boolean nullable

When set to true, monitoring will be enabled but logs/metrics collection will be disabled

min_agent_version string nullable
monitoring_enabled enum[] · max items: 3
Values: logs metrics traces
monitoring_output_id string nullable
monitoring_pprof_enabled boolean
name string · min length: 1 required
namespace string · min length: 1 required
overrides map string to object nullable

Override settings that are defined in the agent policy. Input settings cannot be overridden. The override option should be used only in unusual circumstances and not as a routine procedure.

package_policies union anyOf
Any of:
string[]
revision number required
schema_version string
space_ids string[] · max items: 100
status enum required
Values: active inactive
supports_agentless boolean nullable

Indicates whether the agent policy supports agentless integrations.

unenroll_timeout number · min: 0
unprivileged_agents number
updated_at string required
updated_by string required
version string
page number required
perPage number required
total number required